Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.crm
Class WelcomePack

    java.lang.Object
      com.knowgate.dataobjs.DBPersist
          com.knowgate.crm.WelcomePack

All Implemented Interfaces:
  java.io.Serializable, java.util.Map

    public class WelcomePack

extends DBPersist

Welcome Packs

Copyright: Copyright (c) KnowGate 2006

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary
`static java.lang.String` | `CANCELLED`
`static short` | `ClassId`
`static java.lang.String` | `DELIVERED`
`static java.lang.String` | `PENDING`
`static java.lang.String` | `RETURNED`
`static java.lang.String` | `SENT`

Fields inherited from class com.knowgate.dataobjs.DBPersist
`AllVals, sAuditCls, sAuditUsr, sTransactId`

Constructor Summary
`WelcomePack()` Default constructor
`WelcomePack(JDCConnection oConn, java.lang.String sGuPack)` Create Welcome Pack and load data

Method Summary
`WelcomePackChangeLog[]` | `changeLog(JDCConnection oConn)` Get log for modifications of status of this Welcome Pack
`boolean` | `delete(JDCConnection oConn)` Delete Welcome Pack incluing its change log
`static WelcomePack` | `forAddress(JDCConnection oConn, java.lang.String sGuAddres)` Get the most recent Welcome Pack associated to an Address
`static WelcomePack` | `forCompany(JDCConnection oConn, java.lang.String sGuCompany)` Get the most recent Welcome Pack associated to a Company
`static WelcomePack` | `forContact(JDCConnection oConn, java.lang.String sGuContact)` Get the most recent Welcome Pack associated to a Contact
`Address` | `getAddress(JDCConnection oConn)` Get Address to which this Welcome Pack belongs
`Company` | `getCompany(JDCConnection oConn)` Get Company to which this Welcome Pack belongs
`Contact` | `getContact(JDCConnection oConn)` Get Contact to which this Welcome Pack belongs
`boolean` | `store(JDCConnection oConn)` Store Welcome Pack Automatically assign values to ix_pack and dt_modified fields if they are not set

Methods inherited from class com.knowgate.dataobjs.DBPersist
`allcaps, allcaps, changelog, clear, clone, containsKey, containsValue, entrySet, exists, get, get, getAuditClassName, getCreationDate, getDate, getDateFormated, getDateShort, getDateTime, getDateTime24, getDecimal, getDecimalFormated, getDecimalFormated, getDouble, getDoubleFormated, getFloat, getFloatFormated, getInt, getInteger, getIntervalPart, getItemMap, getItems, getMoney, getShort, getSQLDate, getSQLTime, getString, getStringHtml, getStringNull, getTable, getTable, getTableName, getTime, getTimeOfDay, getTimestamp, getUIdFromName, isEmpty, isNull, iterator, keySet, load, load, parseXML, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, putAll, putAll, remove, remove, replace, replace, replace, replace, replace, replace, replace, replace, setAuditTransact, setAuditUser, setCreationDate, size, toLowerCase, toUpperCase, toXML, toXML, toXML, toXML, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### ClassId

    public static final short ClassId

See Also:
  Constant Field Values

### PENDING

    public static final java.lang.String PENDING

See Also:
  Constant Field Values

### CANCELLED

    public static final java.lang.String CANCELLED

See Also:
  Constant Field Values

### SENT

    public static final java.lang.String SENT

See Also:
  Constant Field Values

### DELIVERED

    public static final java.lang.String DELIVERED

See Also:
  Constant Field Values

### RETURNED

    public static final java.lang.String RETURNED

See Also:
  Constant Field Values

Constructor Detail

### WelcomePack

    public WelcomePack()

  Default constructor

### WelcomePack

    public WelcomePack(JDCConnection oConn,
                       java.lang.String sGuPack)
                throws java.sql.SQLException

  Create Welcome Pack and load data

  Parameters:
    `oConn` - JDCConnection
    `sGuPack` - String Welcome Pack GUID
  Throws:
    `java.sql.SQLException`

Method Detail

### getCompany

    public Company getCompany(JDCConnection oConn)
                       throws java.sql.SQLException

  Get Company to which this Welcome Pack belongs

  Parameters:
    `oConn` - JDCConnection
  Returns:
    Company or null if this Welcome Pack is not associated to a Company
  Throws:
    `java.sql.SQLException`

### getContact

    public Contact getContact(JDCConnection oConn)
                       throws java.sql.SQLException

  Get Contact to which this Welcome Pack belongs

  Parameters:
    `oConn` - JDCConnection
  Returns:
    Company or null if this Welcome Pack is not associated to a Contact
  Throws:
    `java.sql.SQLException`

### getAddress

    public Address getAddress(JDCConnection oConn)
                       throws java.sql.SQLException

  Get Address to which this Welcome Pack belongs

  Parameters:
    `oConn` - JDCConnection
  Returns:
    com.knowgate.hipergate.Address or null if this Welcome Pack is not associated to an Address
  Throws:
    `java.sql.SQLException`

### store

    public boolean store(JDCConnection oConn)
                  throws java.sql.SQLException

  Store Welcome Pack

  Automatically assign values to ix_pack and dt_modified fields if they are not set

  Overrides:
    `store` in class `DBPersist`
  Parameters:
    `oConn` - JDCConnection
  Returns:
    boolean
  Throws:
    `java.sql.SQLException`

### delete

    public boolean delete(JDCConnection oConn)
                   throws java.sql.SQLException

  Delete Welcome Pack incluing its change log

  Overrides:
    `delete` in class `DBPersist`
  Parameters:
    `oConn` - JDCConnection
  Returns:
    boolean true if Welcome Pack actually existed, false otherwise.
  Throws:
    `java.sql.SQLException`

### changeLog

    public WelcomePackChangeLog[] changeLog(JDCConnection oConn)
                                     throws java.sql.SQLException

  Get log for modifications of status of this Welcome Pack

  Parameters:
    `oConn` - JDCConnection
  Returns:
    WelcomePackChangeLog[]
  Throws:
    `java.sql.SQLException`

### forContact

    public static WelcomePack forContact(JDCConnection oConn,
                                         java.lang.String sGuContact)
                                  throws java.sql.SQLException

  Get the most recent Welcome Pack associated to a Contact

  Parameters:
    `oConn` - JDCConnection
    `sGuContact` - String Contact GUID
  Returns:
    WelcomePack
  Throws:
    `java.sql.SQLException`

### forCompany

    public static WelcomePack forCompany(JDCConnection oConn,
                                         java.lang.String sGuCompany)
                                  throws java.sql.SQLException

  Get the most recent Welcome Pack associated to a Company

  Parameters:
    `oConn` - JDCConnection
    `sGuCompany` - String Company GUID
  Returns:
    WelcomePack
  Throws:
    `java.sql.SQLException`

### forAddress

    public static WelcomePack forAddress(JDCConnection oConn,
                                         java.lang.String sGuAddres)
                                  throws java.sql.SQLException

  Get the most recent Welcome Pack associated to an Address

  Parameters:
    `oConn` - JDCConnection
    `sGuAddres` - String Address GUID
  Returns:
    WelcomePack
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD